From 2bf840ed2f009682d41bb68cf2be0b3208339d53 Mon Sep 17 00:00:00 2001
From: Amit Langote <amitlan@postgresql.org>
Date: Thu, 25 Jan 2024 15:22:47 +0900
Subject: [PATCH] Silence compiler warning introduced in 1edb3b491b

Reported-by: Richard Guo <guofenglinux@gmail.com>
Discussion: https://postgr.es/m/CAMbWs48qEoe9Du5tuUxrkGQ6VC9oy+tQOORQ6jpob14-E1Z+jg@mail.gmail.com
---
 src/backend/utils/adt/jsonfuncs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/utils/adt/jsonfuncs.c b/src/backend/utils/adt/jsonfuncs.c
index fe1a7ec09c..54dbd7e79f 100644
--- a/src/backend/utils/adt/jsonfuncs.c
+++ b/src/backend/utils/adt/jsonfuncs.c
@@ -2478,7 +2478,7 @@ jsonb_populate_record_valid(PG_FUNCTION_ARGS)
 	(void) populate_record_worker(fcinfo, "jsonb_populate_record",
 								  false, true, (Node *) &escontext);
 
-	return BoolGetDatum(!SOFT_ERROR_OCCURRED(&escontext));
+	return BoolGetDatum(!escontext.error_occurred);
 }
 
 Datum
-- 
2.35.3

